summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/plasma-nm/files/plasma-nm-5.13.5-iconchange.patch33
-rw-r--r--kde-plasma/plasma-nm/plasma-nm-5.13.5-r1.ebuild77
2 files changed, 110 insertions, 0 deletions
diff --git a/kde-plasma/plasma-nm/files/plasma-nm-5.13.5-iconchange.patch b/kde-plasma/plasma-nm/files/plasma-nm-5.13.5-iconchange.patch
new file mode 100644
index 00000000000..f44bbc34be9
--- /dev/null
+++ b/kde-plasma/plasma-nm/files/plasma-nm-5.13.5-iconchange.patch
@@ -0,0 +1,33 @@
+From a71ca963f798ca405878305b5433550e6c267d87 Mon Sep 17 00:00:00 2001
+From: Jan Grulich <jgrulich@redhat.com>
+Date: Thu, 13 Sep 2018 13:24:51 +0200
+Subject: Make sure we change icon on NM connectivity change
+
+---
+ libs/declarative/connectionicon.cpp | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/libs/declarative/connectionicon.cpp b/libs/declarative/connectionicon.cpp
+index b792f92..d4ff30a 100644
+--- a/libs/declarative/connectionicon.cpp
++++ b/libs/declarative/connectionicon.cpp
+@@ -82,6 +82,7 @@ ConnectionIcon::ConnectionIcon(QObject* parent)
+ setStates();
+
+ connectivityChanged();
++ setIcons();
+ }
+
+ ConnectionIcon::~ConnectionIcon()
+@@ -174,8 +175,7 @@ void ConnectionIcon::carrierChanged(bool carrier)
+ void ConnectionIcon::connectivityChanged()
+ {
+ NetworkManager::Connectivity conn = NetworkManager::connectivity();
+- m_limited = (conn == NetworkManager::Portal || conn == NetworkManager::Limited);
+- setIcons();
++ setLimited(conn == NetworkManager::Portal || conn == NetworkManager::Limited);
+ }
+
+ void ConnectionIcon::deviceAdded(const QString& device)
+--
+cgit v0.11.2
diff --git a/kde-plasma/plasma-nm/plasma-nm-5.13.5-r1.ebuild b/kde-plasma/plasma-nm/plasma-nm-5.13.5-r1.ebuild
new file mode 100644
index 00000000000..1413d19dc51
--- /dev/null
+++ b/kde-plasma/plasma-nm/plasma-nm-5.13.5-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="KDE Plasma applet for NetworkManager"
+LICENSE="GPL-2 LGPL-2.1"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="modemmanager openconnect teamd"
+
+DEPEND="
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdeclarative)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep networkmanager-qt 'teamd=')
+ $(add_frameworks_dep plasma)
+ $(add_frameworks_dep solid)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ >=app-crypt/qca-2.1.1:2[qt5(+)]
+ net-misc/networkmanager[teamd=]
+ modemmanager? (
+ $(add_frameworks_dep modemmanager-qt)
+ $(add_qt_dep qtxml)
+ net-misc/mobile-broadband-provider-info
+ )
+ openconnect? (
+ $(add_qt_dep qtxml)
+ net-misc/networkmanager-openconnect
+ net-vpn/openconnect:=
+ )
+"
+RDEPEND="${DEPEND}
+ $(add_plasma_dep kde-cli-tools)
+ !kde-plasma/plasma-nm:4
+"
+
+PATCHES=( "${FILESDIR}/${P}-iconchange.patch" )
+
+src_configure() {
+ local mycmakeargs=(
+ -DDISABLE_MODEMMANAGER_SUPPORT=$(usex !modemmanager)
+ $(cmake-utils_use_find_package modemmanager KF5ModemManagerQt)
+ $(cmake-utils_use_find_package openconnect OpenConnect)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version "kde-plasma/plasma-workspace:5"; then
+ elog "${PN} is not terribly useful without kde-plasma/plasma-workspace:5."
+ elog "However, the networkmanagement KCM can be called from either systemsettings"
+ elog "or manually: $ kcmshell5 kcm_networkmanagement"
+ fi
+}